## org.codehaus.groovy.grails.plugins
Class PluginManagerHolder

    java.lang.Object
      org.codehaus.groovy.grails.plugins.PluginManagerHolder

    public abstract class PluginManagerHolder

extends Object

Manages a thread bound plugin manager instance

Since:
  0.4
Author:
  Graeme Rocher

Constructor Summary
`PluginManagerHolder()`

Method Summary
`static GrailsPluginManager` `currentPluginManager()` Retrieves the bound GrailsPluginManager that resides in the current Thread
`static GrailsPluginManager` `getPluginManager()` Retrieves the GrailsPluginManager bound to the current Thread
`static void` `setPluginManager(GrailsPluginManager pluginManager)` Bind the given GrailsPluginManager instance to the current Thread

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginManagerHolder

    public PluginManagerHolder()

Method Detail

### setPluginManager

    public static void setPluginManager(GrailsPluginManager pluginManager)

  Bind the given GrailsPluginManager instance to the current Thread

  Parameters:
    `pluginManager` - The GrailsPluginManager to expose

### getPluginManager

    public static GrailsPluginManager getPluginManager()

  Retrieves the GrailsPluginManager bound to the current Thread

  Returns:
    The GrailsPluginManager or null

### currentPluginManager

    public static GrailsPluginManager currentPluginManager()

  Retrieves the bound GrailsPluginManager that resides in the current Thread

  Returns:
    The GrailsPluginManager
  Throws:
    `IllegalStateException` - When there is no bound GrailsPluginManager

Copyright (c) 2005-2009 The Grails project